﻿#language: ru

@quality_control

Функционал: 03_quality_control. Создание документа Баланс жира и белка

Сценарий: 03_quality_control. Создание документа анализа на партию Российского 50%
	Дано Я подключаюсь под "qual_Лаборант"
	И В командном интерфейсе я выбираю 'Производство' 'Анализы номенклатуры'
	Тогда открылось окно 'Анализы номенклатуры'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Анализы номенклатуры (создание)'
	И я нажимаю кнопку выбора у поля "Вид анализа"
	Тогда открылось окно 'Виды анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       |
		| 'показатели МДЖ МДБ' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Анализы номенклатуры (создание) *'
	И я нажимаю кнопку выбора у поля "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Российский 50%'  |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Анализы номенклатуры (создание) *'
	И из выпадающего списка "Характеристика" я выбираю по строке 'вар'
	Тогда открылось окно 'Анализы номенклатуры (создание) *'
	И я нажимаю кнопку выбора у поля "Серия"
	И в таблице "Список" я перехожу к строке:
		| 'Годен до'           | 'Дата выпуска' | 'Номер' |
		| '21.11.2018 0:00:00' | '01.11.2018'   | '2'     |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Анализы номенклатуры (создание) *'
	И я перехожу к закладке "Результаты анализов"
	И в таблице "РезультатыАнализов" я активизирую поле "Значение показателя"
	И в таблице "РезультатыАнализов" я перехожу к строке:
		| 'Показатель' | 'Соответствует нормативу' |
		| 'МДБ'        | 'Нет'                     |
	И в таблице "РезультатыАнализов" в поле 'Значение показателя' я ввожу текст '22,600'
	И в таблице "РезультатыАнализов" я перехожу к строке:
		| 'Показатель' | 'Соответствует нормативу' |
		| 'МДЖ'        | 'Нет'                     |
	И в таблице "РезультатыАнализов" в поле 'Значение показателя' я ввожу текст '27,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Анализы номенклатуры (создание)' в течение 20 секунд
	Тогда открылось окно 'Анализы номенклатуры'
	И Я закрываю окно 'Анализы номенклатуры'

Сценарий: 03_quality_control. Создание документа анализа на партию Диетического 35%
	И В командном интерфейсе я выбираю 'Производство' 'Анализы номенклатуры'
	Тогда открылось окно 'Анализы номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Анализы номенклатуры (создание)'
	И из выпадающего списка "Вид анализа" я выбираю по строке 'пока'
	И я нажимаю кнопку выбора у поля "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Вид' | 'Ед.' | 'Наименование'    | 'Наименование для печати' |
		| 'Сыр' | 'кг'  | 'Диетический 35%' | 'Диетический 35%'         |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализы номенклатуры (создание) *'
	И из выпадающего списка "Характеристика" я выбираю по строке 'вар'
	Тогда открылось окно 'Анализы номенклатуры (создание) *'
	И я нажимаю кнопку выбора у поля "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализы номенклатуры (создание) *'
	И я перехожу к закладке "Результаты анализов"
	И в таблице "РезультатыАнализов" я перехожу к строке:
		| 'Вид результата анализа'    | 'Показатель' | 'Соответствует нормативу' |
		| 'Число дробное в диапазоне' | 'МДБ'        | 'Нет'                     |
	И в таблице "РезультатыАнализов" в поле 'Значение показателя' я ввожу текст '23,000'
	И в таблице "РезультатыАнализов" я перехожу к строке:
		| 'Вид результата анализа'    | 'Значение max' | 'Значение min' | 'Показатель' | 'Соответствует нормативу' |
		| 'Число дробное в диапазоне' | '50,000'       | '0,300'        | 'МДЖ'        | 'Нет'                     |
	И в таблице "РезультатыАнализов" в поле 'Значение показателя' я ввожу текст '25,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Анализы номенклатуры (создание) *' в течение 20 секунд
	Тогда открылось окно 'Анализы номенклатуры'
	И Я закрываю окно 'Анализы номенклатуры'

Сценарий: 03_quality_control. Создание документа анализа на партию Сливочного 45%
	И В командном интерфейсе я выбираю 'Производство' 'Анализы номенклатуры'
	Тогда открылось окно 'Анализы номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Анализы номенклатуры (создание)'
	И из выпадающего списка "Вид анализа" я выбираю по строке 'пок'
	И я нажимаю кнопку выбора у поля "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Вид' | 'Ед.' | 'Наименование'  | 'Наименование для печати' |
		| 'Сыр' | 'кг'  | 'Сливочный 45%' | 'Сливочный 45%'           |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализы номенклатуры (создание) *'
	И из выпадающего списка "Характеристика" я выбираю по строке 'вар'
	Тогда открылось окно 'Анализы номенклатуры (создание) *'
	И я нажимаю кнопку выбора у поля "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Наименование' | 'Номер' |
		| '01.11.2018'   | '01.11.2018/6' | '6'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализы номенклатуры (создание) *'
	И я перехожу к закладке "Результаты анализов"
	И в таблице "РезультатыАнализов" я перехожу к строке:
		| 'Вид результата анализа'    | 'Показатель' | 'Соответствует нормативу' |
		| 'Число дробное в диапазоне' | 'МДБ'        | 'Нет'                     |
	И в таблице "РезультатыАнализов" в поле 'Значение показателя' я ввожу текст '24,000'
	И в таблице "РезультатыАнализов" я перехожу к строке:
		| 'Вид результата анализа'    | 'Значение max' | 'Значение min' | 'Показатель' | 'Соответствует нормативу' |
		| 'Число дробное в диапазоне' | '50,000'       | '0,300'        | 'МДЖ'        | 'Нет'                     |
	И в таблице "РезультатыАнализов" в поле 'Значение показателя' я ввожу текст '27,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Анализы номенклатуры (создание) *' в течение 20 секунд
	Тогда открылось окно 'Анализы номенклатуры'
	И Я закрываю окно 'Анализы номенклатуры'

Сценарий: 03_quality_control. Создание документа анализа на партию Сыворотки
	И В командном интерфейсе я выбираю 'Производство' 'Анализы номенклатуры'
	Тогда открылось окно 'Анализы номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Анализы номенклатуры (создание)'
	И из выпадающего списка "Вид анализа" я выбираю по строке 'по'
	И из выпадающего списка "Номенклатура" я выбираю по строке 'сыв'
	Тогда открылось окно 'Анализы номенклатуры (создание) *'
	И я нажимаю кнопку выбора у поля "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Номер' |
		| '01.11.2018'   | '8'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализы номенклатуры (создание) *'
	И я перехожу к закладке "Результаты анализов"
	И в таблице "РезультатыАнализов" я перехожу к строке:
		| 'Вид результата анализа'    | 'Показатель' | 'Соответствует нормативу' |
		| 'Число дробное в диапазоне' | 'МДБ'        | 'Нет'                     |
	И в таблице "РезультатыАнализов" в поле 'Значение показателя' я ввожу текст '0,100'
	И в таблице "РезультатыАнализов" я перехожу к строке:
		| 'Вид результата анализа'    | 'Значение max' | 'Значение min' | 'Показатель' | 'Соответствует нормативу' |
		| 'Число дробное в диапазоне' | '50,000'       | '0,300'        | 'МДЖ'        | 'Нет'                     |
	И в таблице "РезультатыАнализов" в поле 'Значение показателя' я ввожу текст '0,050'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Анализы номенклатуры (создание) *' в течение 20 секунд
	Тогда открылось окно 'Анализы номенклатуры'
	И Я закрываю окно 'Анализы номенклатуры'

Сценарий: 03_quality_control.02.011 Закрытие клиента
	И я закрываю сеанс TESTCLIENT

Сценарий: 03_quality_control. Создание документа Баланс жира и белка
	Дано Я переключаюсь на открытый клиент "qual_Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Баланс жира и белка'
	Тогда открылось окно 'Баланс жира и белка'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Баланс жира и белка (создание)'
	И в поле 'Дата смены' я ввожу текст '01.11.2018'
	И в поле 'от' я ввожу текст '01.11.2018 16:54:53'
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24'      |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Баланс жира и белка (создание) *'
	И я нажимаю на кнопку создать поля "Рабочий центр"
	Тогда открылось окно 'Рабочий центр (создание)'
	И Я закрываю окно 'Рабочий центр (создание)'
	Тогда открылось окно 'Баланс жира и белка (создание) *'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Баланс жира и белка (создание) *'
	И я перехожу к закладке "Баланс"
	И я нажимаю на кнопку 'Обновить баланс'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Баланс жира и белка (создание) *' в течение 20 секунд
	Тогда открылось окно 'Баланс жира и белка'
	И Я закрываю окно 'Баланс жира и белка'